package com.yonge.cooleshow.admin.dto;


import java.util.List;

/**
 * Minio Bucket访问策略配置
 * Created by macro on 2020/8/11.
 */

public class BucketPolicyConfigDto {

    private String Version;
    private List<Statement> Statement;

    public String getVersion() {
        return Version;
    }

    public void setVersion(String version) {
        Version = version;
    }

    public List<BucketPolicyConfigDto.Statement> getStatement() {
        return Statement;
    }

    public void setStatement(List<BucketPolicyConfigDto.Statement> statement) {
        Statement = statement;
    }

    public static class Statement {
        private String Effect;
        private String Principal;
        private String Action;
        private String Resource;

        public String getEffect() {
            return Effect;
        }

        public void setEffect(String effect) {
            Effect = effect;
        }

        public String getPrincipal() {
            return Principal;
        }

        public void setPrincipal(String principal) {
            Principal = principal;
        }

        public String getAction() {
            return Action;
        }

        public void setAction(String action) {
            Action = action;
        }

        public String getResource() {
            return Resource;
        }

        public void setResource(String resource) {
            Resource = resource;
        }
    }
}
